org.apache.commons.compress.compressors.deflate

## Class DeflateCompressorOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.compress.compressors.CompressorOutputStream
    - - org.apache.commons.compress.compressors.deflate.DeflateCompressorOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class DeflateCompressorOutputStream
      extends CompressorOutputStream

  Deflate compressor.
  Since:
    1.9

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateCompressorOutputStream(OutputStream outputStream)` Creates a Deflate compressed output stream with the default parameters.
    `DeflateCompressorOutputStream(OutputStream outputStream, DeflateParameters parameters)` Creates a Deflate compressed output stream with the specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `finish()` Finishes compression without closing the underlying stream.
    `void` | `flush()` Flushes the encoder and calls `outputStream.flush()`.
    `void` | `write(byte[] buf, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateCompressorOutputStream

          public DeflateCompressorOutputStream(OutputStream outputStream)

      Creates a Deflate compressed output stream with the default parameters.
      Parameters:
        `outputStream` - the stream to wrap

    - #### DeflateCompressorOutputStream

          public DeflateCompressorOutputStream(OutputStream outputStream,
                                               DeflateParameters parameters)

      Creates a Deflate compressed output stream with the specified parameters.
      Parameters:
        `outputStream` - the stream to wrap
        `parameters` - the deflate parameters to apply

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### finish

          public void finish()
                      throws IOException

      Finishes compression without closing the underlying stream.

      No more data can be written to this stream after finishing.

      Throws:
        `IOException` - on error

    - #### flush

          public void flush()
                     throws IOException

      Flushes the encoder and calls `outputStream.flush()`. All buffered pending data will then be decompressible from the output stream. Calling this function very often may increase the compressed file size a lot.
      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] buf,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.